Bug 2134289 (CVE-2022-40155)

Summary: CVE-2022-40155 xstream: Xstream to serialise XML data was vulnerable to Denial of Service attacks
Product: [Other] Security Response Reporter: Patrick Del Bello <pdelbell>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abenaiss, aileenc, alazarot, anstephe, asoldano, ataylor, avibelli, balejosg, bbaranow, bbuckingham, bcourt, bgeorges, bmaxwell, brian.stansberry, btotty, cdewolf, chazlett, clement.escoffier, dandread, darran.lofthouse, didiksupriadi41, dkreling, dosoudil, ehelms, emingora, eric.wittmann, etirelli, fedoraproject.org, fjuma, fmongiar, gjospin, gmalinko, gsmet, hamadhan, ibek, iweiss, janstey, java-sig-commits, jcantril, jnethert, jochrist, jpavlik, jpechane, jpoth, jrokos, jross, jscholz, jsherril, jwon, kverlaen, lgao, lkundrak, lthon, lzap, mhulan, mizdebsk, mmccune, mmclaugh, mnovotny, mokumar, mosmerov, msochure, msvehla, myarboro, nmoumoul, nwallace, orabin, pantinor, pcreech, pdelbell, peholase, periklis, pgallagh, pjindal, pmackay, probinso, rchan, rguimara, rkieley, rrajasek, rruss, rstancel, rsvoboda, sbiarozk, sdouglas, smaestri, tcunning, tom.jenkinson, yfang
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
A flaw was found in the XStream package. This flaw allows an attacker to cause a denial of service (DoS) in its target via XML serialization.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-07 17:03:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2134299, 2134300, 2162198    
Bug Blocks: 2128414    

Description Patrick Del Bello 2022-10-13 06:10:52 UTC
Those using Xstream to serialise XML data may be vulnerable to Denial of Service attacks (DOS). If the parser is running on user supplied input, an attacker may supply content that causes the parser to crash by stack overflow. This effect may support a denial of service attack.

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=50428
https://github.com/x-stream/xstream/issues/304

Comment 1 Patrick Del Bello 2022-10-13 06:22:38 UTC
Created xstream tracking bugs for this issue:

Affects: epel-all [bug 2134299]
Affects: fedora-all [bug 2134300]

Comment 9 Product Security DevOps Team 2022-12-07 17:03:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-40155

Comment 12 errata-xmlrpc 2023-01-26 09:42:28 UTC
This issue has been addressed in the following products:

  RHINT Camel-Q 2.13.2

Via RHSA-2023:0469 https://access.redhat.com/errata/RHSA-2023:0469